/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2011-2016 OpenFOAM Foundation
     \\/     M anipulation  | Copyright (C) 2016 OpenCFD Ltd.
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it under
    the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT ANY
    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
    FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
    details.

    You should have received a copy of the GNU General Public License along with
    OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

\mainpage OpenFOAM&reg;: open source CFD

\section about About OpenFOAM

    OpenFOAM is a free, open source CFD software package released free and
    open-source under the GNU General Public License.  It has a large
    user base across most areas of engineering and science, from both commercial
    and academic organisations.  OpenFOAM has an extensive range of features to
    solve anything from complex fluid flows involving chemical reactions,
    turbulence and heat transfer, to solid dynamics and electromagnetics.
    <a href="http://www.openfoam.com/documentation">More ...</a>

\section layout OpenFOAM Directory Structure

    OpenFOAM comprises of four main directories:
    - \b src: the core OpenFOAM libraries
    - \b applications: solvers and utilities
    - \b tutorials: test-cases that demonstrate a wide-range of OpenFOAM
         functionality
    - \b doc: documentation

\section usingOpenFOAM Using OpenFOAM

    Solvers
    - \subpage pageSolvers

    Modelling
    - \subpage pageThermophysicalModels
    - \subpage pageTurbulenceModelling
    - \subpage pageLagrangianIntermediate

    Boundary conditions
    - \subpage pageBoundaryConditions

    Numerics
    - \subpage pageFiniteVolumeSchemes
    - \subpage pageMatrixSolvers

    Post-processing
    - \subpage pagePostProcessing

\*---------------------------------------------------------------------------*/
