/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2016 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
\*---------------------------------------------------------------------------*/

#include "foamVtkPTraits.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

template<class Type, int nComp>
Foam::foamVtkFormatter& Foam::foamVtkFormatter::openDataArray
(
    const word& dataName
)
{
    openTag("DataArray");
    xmlAttr("type", foamVtkPTraits<Type>::typeName);
    xmlAttr("Name", dataName);
    if (nComp > 1)
    {
        xmlAttr("NumberOfComponents", nComp);
    }
    xmlAttr("format", name());

    return *this;
}


template<class Type, int nComp>
Foam::foamVtkFormatter& Foam::foamVtkFormatter::PDataArray
(
    const word& dataName
)
{
    openTag("PDataArray");
    xmlAttr("type", foamVtkPTraits<Type>::typeName);
    if (dataName.size())
    {
        xmlAttr("Name", dataName);
    }
    if (nComp > 1)
    {
        xmlAttr("NumberOfComponents", nComp);
    }

    closeTag(true);

    return *this;
}

// ************************************************************************* //
